[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.SetItems

SetItems - copies the specified Values into the Items property.

## Declaration

Source position: dbctrls.pp line 372

`protected procedure TCustomDBListBox.SetItems(`
`Values: TStrings`
`); override;`

## Arguments

`Values` |  | New values for the property.

## Description

SetItems is overridden in TCustomDBListBox to ensure that the DataChange method is called when the new Values are assigned to the Items property.

## See also

TCustomDBListBox.DataChange |  | Performs actions needed when the linked dataset is repositioned.
TCustomDBListBox.UpdateData |  | UpdateData - method for applying any pending changes to the data.
TCustomListBox.Items |  | The list of all items defined in the control.